Namespaces
IMPParser.cpp File Reference
`#include <deque>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libebook_utils.h"`
`#include "EBOOKStreamView.h"`
`#include "IMPLZSSStream.h"`
`#include "IMPParser.h"`
`#include "IMPResourceDir.h"`
`#include "IMPText.h"`

## Namespaces
| libebook

## Variable Documentation

## § id

unsigned id

## § length

unsigned length

Referenced by libebook::EBOOKCharsetConverter::convertBytes(), libebook::EBOOKMemoryStream::EBOOKMemoryStream(), libebook::PLKRParser::getUncompressedStream(), libebook::LRFCollector::insertImage(), libebook::PLKRParser::readMetadata(), libebook::readPascalString(), libebook::TCRParser::readReplacementTable(), libebook::TCRParser::TCRParser(), and libebook::ZVRParser::ZVRParser().

## § m_resourceIndex

ResourceIndex_t m_resourceIndex
| private

## § m_start

long m_start
| private

## § m_stream

const shared_ptr<librevenge::RVNGInputStream> m_stream
| private

## § offset

unsigned offset

Referenced by libebook::EBOOKMemoryStream::seek().